Serialize a CursorId

- « MongoDB\Driver\CursorId::__construct

- MongoDB\Driver\CursorId::__toString »

- PHP Manual
- MongoDB\Driver\CursorId
- Serialize a CursorId

# MongoDB\Driver\CursorId::serialize

(mongodb >=1.7.0)

MongoDB\Driver\CursorId::serialize — Serialize a CursorId

### Description

final public MongoDB\Driver\CursorId::serialize(): string

### Parameters

This function has no parameters.

### Return Values

Returns the serialized representation of the MongoDB\Driver\CursorId.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\CursorId::unserialize() - Unserialize a CursorId
- serialize() - Generates a storable representation of a value
- Serializing Objects